Loading...
Searching...
No Matches
RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter Struct Reference

`#include <ROMol.h>`

## Public Types

using | iterator_category = std::bidirectional_iterator_tag
using | difference_type = std::ptrdiff_t
using | value_type = Edge
using | pointer = Edge *
using | reference = Edge &
using | const_reference = Edge const &

## Public Member Functions

| CXXBondIter ()
| CXXBondIter (Graph *graph, Iterator pos)
const_reference | operator* () const
CXXBondIter & | operator++ ()
CXXBondIter | operator++ (int)
CXXBondIter & | operator-- ()
CXXBondIter | operator-- (int)
bool | operator== (const CXXBondIter &other) const
bool | operator!= (const CXXBondIter &other) const

## Public Attributes

Graph * | graph = nullptr
Iterator | pos

## Detailed Description

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>
struct RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter

Definition at line 219 of file ROMol.h.

## Member Typedef Documentation

## const_reference

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

using RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::const_reference = Edge const &

Definition at line 225 of file ROMol.h.

## difference_type

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

using RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::difference_type = std::ptrdiff_t

Definition at line 221 of file ROMol.h.

## iterator_category

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

using RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::iterator_category = std::bidirectional_iterator_tag

Definition at line 220 of file ROMol.h.

## pointer

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

using RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::pointer = Edge *

Definition at line 223 of file ROMol.h.

## reference

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

using RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::reference = Edge &

Definition at line 224 of file ROMol.h.

## value_type

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

using RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::value_type = Edge

Definition at line 222 of file ROMol.h.

## Constructor & Destructor Documentation

## CXXBondIter() [1/2]

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::CXXBondIter | ( |  | ) |

inline

Definition at line 230 of file ROMol.h.

Referenced by operator!=(), operator++(), operator++(), operator--(), operator--(), and operator==().

## CXXBondIter() [2/2]

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::CXXBondIter | ( | Graph * | graph,
|  | Iterator | pos )

inline

Definition at line 232 of file ROMol.h.

References graph, and pos.

## Member Function Documentation

## operator!=()

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

bool RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::operator!= | ( | const CXXBondIter & | other | ) | const

inline

Definition at line 257 of file ROMol.h.

References CXXBondIter().

## operator*()

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

const_reference RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::operator* | ( |  | ) | const

inline

Definition at line 235 of file ROMol.h.

References graph, and pos.

## operator++() [1/2]

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

CXXBondIter & RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::operator++ | ( |  | ) |

inline

Definition at line 236 of file ROMol.h.

References CXXBondIter(), and pos.

## operator++() [2/2]

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

CXXBondIter RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::operator++ | ( | int |  | ) |

inline

Definition at line 240 of file ROMol.h.

References CXXBondIter().

## operator--() [1/2]

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

CXXBondIter & RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::operator-- | ( |  | ) |

inline

Definition at line 245 of file ROMol.h.

References CXXBondIter(), and pos.

## operator--() [2/2]

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

CXXBondIter RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::operator-- | ( | int |  | ) |

inline

Definition at line 249 of file ROMol.h.

References CXXBondIter().

## operator==()

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

bool RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::operator== | ( | const CXXBondIter & | other | ) | const

inline

Definition at line 254 of file ROMol.h.

References CXXBondIter(), graph, and pos.

## Member Data Documentation

## graph

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

Graph* RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::graph = nullptr

Definition at line 227 of file ROMol.h.

Referenced by CXXBondIter(), operator*(), and operator==().

## pos

template<class Graph, class Edge, class Iterator = typename Graph::edge_iterator>

Iterator RDKit::CXXBondIterator< Graph, Edge, Iterator >::CXXBondIter::pos

Definition at line 228 of file ROMol.h.

Referenced by CXXBondIter(), operator*(), operator++(), operator--(), and operator==().

The documentation for this struct was generated from the following file:

- ROMol.h